Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_lab do
      namespace :desktop do
        match "lab_window" => "personal_labs#lab_window"
        resources :personal_labs
        resources :plugin_intros
      end
      namespace :back_end do
	  
        match 'lab_setting' => "labs#lab_setting" ,:as => :lab_setting
		  		
        resources :labs do
          collection do
            get 'delete'
            get 'data_share'
          end
        end
		
        resources :personal_lab_intros
        resources :tags
      end
      namespace :front_end do
        resources :labs
      end
      namespace :plugin do
        resources :labs
      end
      namespace :widget do
        match "labs" => "labs#index"
        match "home_list" => "labs#home_list"
        match "reload_labs" => "labs#reload_labs"
      end
    end
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
